import { MediaField } from '../Enums';
import { AbstractRequest } from './AbstractRequest';
import { AbstractResponse } from './AbstractResponse';
/**
 * Abstract class to represent requests related to media info.
 *
 * @author Tiago Grosso <tiagogrosso99@gmail.com>
 * @since 0.2.0
 */
export declare abstract class AbstractGetMediaRequest<T extends AbstractResponse<unknown>> extends AbstractRequest<T> {
    /**
     * The constructor.
     *
     * @param accessToken the access token.
     * @param fields the fields to retrieve from the API. If no field is specified, all are retrieved.
     */
    protected constructor(accessToken: string, ...fields: MediaField[]);
}
