/**
 * An abstract class to represent a response from the Instagram Graph API.
 *
 * @param T The type of data in the response.
 *
 * @author Tiago Grosso <tiagogrosso99@gmail.com>
 * @since 0.2.0
 */
export declare abstract class AbstractResponse<T> {
    /**
     * The response data.
     */
    protected data: T;
    /**
     * The constructor.
     *
     * @param data the response data.
     */
    constructor(data: T);
    /**
     * Gets the response data.
     *
     * @returns the response data.
     */
    getData(): T;
}
