import { Method } from '../RequestConfig';
import { AbstractCommentRequest } from './AbstractCommentRequest';
import { CommentUpdateResponse } from './CommentUpdateResponse';
/**
 * Request to toggle whether a comment is hidden.
 *
 * @author Tiago Grosso <tiagogrosso99@gmail.com>
 * @since 0.6.0
 */
export declare class PostHideCommentRequest extends AbstractCommentRequest<CommentUpdateResponse> {
    /**
     * The constructor.
     *
     * @param accessToken the access token.
     * @param commentId the id of the comment.
     * @param hide whether to hide or show the comment (default: true).
     */
    constructor(accessToken: string, commentId: string, hide?: boolean);
    /**
     * @inheritdoc
     */
    protected parseResponse(response: {
        success: boolean;
    }): CommentUpdateResponse;
    /**
     * @inheritdoc
     */
    protected method(): Method;
}
