import { CommentField } from '../../../Enums';
import { GetObjectCommentsResponse } from '../../common/GetObjectCommentsResponse';
import { AbstractRepliesRequest } from './AbstractRepliesRequest';
import { CommentData } from '../../data/CommentData';
/**
 * A request to get the replies to a comment.
 *
 * @author Tiago Grosso <tiagogrosso99@gmail.com>
 * @since 0.7.0
 */
export declare class GetRepliesRequest extends AbstractRepliesRequest<GetObjectCommentsResponse> {
    /**
     * The constructor.
     *
     * @param accessToken the access token.
     * @param commentId the id of the comment.
     * @param fields the fields to retrieve from the API. If no field is specified, all are retrieved.
     */
    constructor(accessToken: string, commentId: string, ...fields: CommentField[]);
    /**
     * @inheritdoc
     */
    protected parseResponse(response: {
        data: CommentData[];
    }): GetObjectCommentsResponse;
}
