import { CreatedObjectIdResponse } from '../../common/CreatedObjectIdResponse';
import { Method } from '../../RequestConfig';
import { AbstractRepliesRequest } from './AbstractRepliesRequest';
/**
 * Request that creates a reply to a comment.
 *
 * @author Tiago Grosso <tiagogrosso99@gmail.com>
 * @since 0.7.0
 */
export declare class PostReplyRequest extends AbstractRepliesRequest<CreatedObjectIdResponse> {
    /**
     * The constructor.
     *
     * @param accessToken The access token.
     * @param commentId the id of the comment object.
     * @param text the text of the reply.
     */
    constructor(accessToken: string, commentId: string, text: string);
    /**
     * @inheritdoc
     */
    protected parseResponse(response: {
        id: string;
    }): CreatedObjectIdResponse;
    /**
     * @inheritdoc
     */
    protected method(): Method;
}
