import { ContainerField } from '../../Enums';
import { AbstractRequest } from '../AbstractRequest';
import { ContainerData } from '../data/ContainerData';
import { GetContainerResponse } from './GetContainerResponse';
/**
 * A request that gets info about a container
 *
 * @author Tiago Grosso <tiagogrosso99@gmail.com>
 * @since 1.1.0
 */
export declare class GetContainerRequest extends AbstractRequest<GetContainerResponse> {
    /**
     * The container id.
     */
    private readonly containerId;
    /**
     * The constructor.
     *
     * @param accessToken the access token.
     * @param containerId the container id.
     * @param fields the set of container fields to retrieve from the API.
     */
    constructor(accessToken: string, containerId: string, ...fields: ContainerField[]);
    /**
     * @inheritdoc
     */
    protected parseResponse(response: ContainerData): GetContainerResponse;
    /**
     * @inheritdoc
     */
    protected url(): string;
}
