import { AbstractResponse } from '../AbstractResponse';
import { ContainerData, CONTAINER_STATUS_CODE } from '../data/ContainerData';
/**
 * Class that represents a response from a Get Container request.
 *
 * @author Tiago Grosso <tiagogrosso99@gmail.com>
 * @since 1.1.0
 */
export declare class GetContainerResponse extends AbstractResponse<ContainerData> {
    /**
     * Gets the container id.
     *
     * @returns the container id.
     */
    getContainerId(): string;
    /**
     * Gets the container status.
     *
     * @returns the container status.
     */
    getContainerStatus(): string | undefined;
    /**
     * Gets the container status code.
     *
     * @returns the container status code.
     */
    getContainerStatusCode(): CONTAINER_STATUS_CODE | undefined;
}
