import { AbstractGetManyMediaResponse } from '../../AbstractGetManyMediaResponse';
import { MediaData } from '../../data/MediaData';
import { Paging, PagingData } from '../../data/Paging';
/**
 * Class that represents a response from a Get Hashtag Media request.
 *
 * @author Tiago Grosso <tiagogrosso99@gmail.com>
 * @since 0.5.0
 */
export declare class GetHashtagMediaResponse extends AbstractGetManyMediaResponse {
    /**
     * The paging of the response.
     */
    private readonly paging;
    /**
     * The constructor.
     *
     * @param body the body of the response.
     */
    constructor(body: {
        data: MediaData[];
        paging: PagingData;
    });
    /**
     * Gets the paging of the response.
     *
     * @returns the paging of the response.
     */
    getPaging(): Paging;
}
