import { AbstractRequest } from '../../AbstractRequest';
import { GetHashtagIdResponse } from './GetHashtagIdResponse';
/**
 * A request that gets the id of a hashtag.
 *
 * @author Tiago Grosso <tiagogrosso99@gmail.com>
 * @since 0.4.0
 */
export declare class GetHashtagIdRequest extends AbstractRequest<GetHashtagIdResponse> {
    /**
     * The constructor
     *
     * @param accessToken the access token.
     * @param userId the id of the user making the request
     * @param hashtag the hashtag.
     */
    constructor(accessToken: string, userId: string, hashtag: string);
    /**
     * @inheritdoc
     */
    protected parseResponse(response: {
        data: {
            id: string;
        }[];
    }): GetHashtagIdResponse;
    /**
     * @inheritdoc
     */
    protected url(): string;
}
