import { AbstractRequest } from '../../AbstractRequest';
import { GetMediaChildrenResponse } from './GetMediaChildrenResponse';
/**
 * A request that gets the children of an album media object.
 *
 * @author Tiago Grosso <tiagogrosso99@gmail.com>
 * @since 0.5.0
 */
export declare class GetMediaChildrenRequest extends AbstractRequest<GetMediaChildrenResponse> {
    /**
     * The id of the media object (must be an album).
     */
    private readonly mediaId;
    /**
     * The constructor
     *
     * @param accessToken the access token.
     * @param mediaId the id of the media object (must be an album).
     */
    constructor(accessToken: string, mediaId: string);
    /**
     * @inheritdoc
     */
    protected parseResponse(response: {
        data: {
            id: string;
        }[];
    }): GetMediaChildrenResponse;
    /**
     * @inheritdoc
     */
    protected url(): string;
}
