import { AbstractResponse } from '../../../../main/requests/AbstractResponse';
/**
 * Class that represents a response from a Get Media Children Response.
 *
 * @author Tiago Grosso <tiagogrosso99@gmail.com>
 * @since 0.5.0
 */
export declare class GetMediaChildrenResponse extends AbstractResponse<{
    id: string;
}[]> {
    /**
     * The constructor.
     *
     * @param body the body of the response.
     */
    constructor(body: {
        data: {
            id: string;
        }[];
    });
    /**
     * Gets an array with the ids of all the comments.
     *
     * @returns an array with the ids of all the comments.
     */
    getIds(): string[];
}
