import { MediaField } from '../../../Enums';
import { AbstractGetMediaRequest } from '../../AbstractGetMediaRequest';
import { GetMediaInfoResponse } from './GetMediaInfoResponse';
import { MediaData } from '../../data/MediaData';
/**
 * A request that gets information about a media object.
 *
 * @author Tiago Grosso <tiagogrosso99@gmail.com>
 * @since 0.2.0
 */
export declare class GetMediaInfoRequest extends AbstractGetMediaRequest<GetMediaInfoResponse> {
    /**
     * The media object id.
     */
    private readonly mediaId;
    /**
     * The constructor
     *
     * @param accessToken the access token.
     * @param mediaId the media object id.
     * @param fields the fields to retrieve from the API for each media object. If no field is specified, all public fields are retrieved.
     */
    constructor(accessToken: string, mediaId: string, ...fields: MediaField[]);
    /**
     * @inheritdoc
     */
    protected url(): string;
    /**
     * @inheritdoc
     */
    protected parseResponse(response: MediaData): GetMediaInfoResponse;
}
