import { AbstractRequest } from '../../AbstractRequest';
import { AuthorizedFacebookPagesData } from '../../data/AuthorizedFacebookPagesData';
import { GetAuthorizedFacebookPagesResponse } from './GetAuthorizedFacebookPagesResponse';
/**
 * Get a response to get the list of Facebook pages authorized by the user
 * to your app.
 *
 * @author Andres Gutierrez <andres99@gmail.com>
 * @since 2.0.0
 */
export declare class GetAuthorizedFacebookPagesRequest extends AbstractRequest<GetAuthorizedFacebookPagesResponse> {
    /**
     * The constructor.
     *
     * @param accessToken the access token.
     */
    constructor(accessToken: string);
    /**
     * @inheritdoc
     */
    protected parseResponse(response: AuthorizedFacebookPagesData): GetAuthorizedFacebookPagesResponse;
    /**
     * @inheritdoc
     */
    protected url(): string;
}
