import { AbstractResponse } from '../../AbstractResponse';
import { Config, ContentPublishingLimitData } from '../../data/ContentPublishingLimitData';
/**
 * Represents a response to a content publishing limit request.
 *
 * @author Tiago Grosso <tiagogrosso99@gmail.com>
 * @since 1.6.0
 */
export declare class GetContentPublishingLimitResponse extends AbstractResponse<ContentPublishingLimitData> {
    /**
     * Gets the content publishing limit config.
     *
     * @returns the content publishing limit config.
     */
    getConfig(): Config | undefined;
    /**
     * Gets the content publishing limit quota total.
     *
     * @returns the content publishing limit quota total.
     */
    getQuotaTotal(): number | undefined;
    /**
     * Gets the content publishing limit quota duration.
     *
     * @returns the content publishing limit quota duration.
     */
    getQuotaDuration(): number | undefined;
    /**
     * Gets the content publishing limit quota usage.
     *
     * @returns the content publishing limit quota usage.
     */
    getQuotaUsage(): number;
}
