import { GetPageInfoResponse } from './GetPageInfoResponse';
import { AbstractRequest } from '../../AbstractRequest';
import { PageField } from '../../../Enums';
import { PageInfoData } from '../../data/PageInfoData';
/**
 * A request that gets information about a page.
 *
 * @author Tiago Grosso <tiagogrosso99@gmail.com>
 * @since 0.2.0
 */
export declare class GetPageInfoRequest extends AbstractRequest<GetPageInfoResponse> {
    /**
     * The page id.
     */
    private readonly pageId;
    /**
     * The constructor.
     *
     * @param accessToken the access token.
     * @param pageId the page id.
     * @param fields the fields to retrieve from the API. If no field is specified, all are retrieved.
     */
    constructor(accessToken: string, pageId: string, ...fields: PageField[]);
    /**
     * @inheritdoc
     */
    protected parseResponse(response: PageInfoData): GetPageInfoResponse;
    /**
     * @inheritdoc
     */
    protected url(): string;
}
