import { DayMetric, MetricPeriod } from '../../../Enums';
import { AbstractGetPageTimedInsightsRequest } from './AbstractGetPageTimedInsightsRequest';
/**
 * A Page Insights Get Request that queries a day metric.
 *
 * @author Tiago Grosso <tiagogrosso99@gmail.com>
 * @since 0.2.0
 */
export declare class GetPageDayInsightsRequest extends AbstractGetPageTimedInsightsRequest<DayMetric> {
    /**
     * The constructor.
     * @param accessToken the access token.
     * @param pageId the page id.
     * @param metrics the metrics to retrieve from the API. If no metric is specified, all are retrieved.
     */
    constructor(accessToken: string, pageId: string, ...metrics: DayMetric[]);
    /**
     * @inheritdoc
     */
    protected period(): MetricPeriod;
}
