import { AbstractRequest } from '../../AbstractRequest';
import { GetInstagramAccountInfoResponse } from './GetInstagramAccountInfoResponse';
import { InstagramAccountInfoData } from '../../data/InstagramAccountInfoData';
/**
 * A Get request to obtain information about an Instagram account.
 *
 * @author Andres Gutierrez <andres99@gmail.com>
 * @since 2.0.0
 */
export declare class GetInstagramAccountInfoRequest extends AbstractRequest<GetInstagramAccountInfoResponse> {
    /**
     * The instagram page id.
     */
    instagramPageId: string;
    /**
     * The constructor.
     *
     * @param accessToken the access token.
     * @param instagramPageId the Instagram account id.
     */
    constructor(accessToken: string, instagramPageId: string);
    /**
     * @inheritdoc
     */
    protected parseResponse(response: InstagramAccountInfoData): GetInstagramAccountInfoResponse;
    /**
     * @inheritdoc
     */
    protected url(): string;
}
