import { MediaField } from '../../../Enums';
import { AbstractGetMediaRequest } from '../../AbstractGetMediaRequest';
import { GetPageMediaResponse } from './GetPageMediaResponse';
import { MediaData } from '../../data/MediaData';
import { PagingData } from '../../data/Paging';
/**
 * A request that gets information about the media of a page.
 *
 * @author Tiago Grosso <tiagogrosso99@gmail.com>
 * @since 0.2.0
 */
export declare class GetPageMediaRequest extends AbstractGetMediaRequest<GetPageMediaResponse> {
    /**
     * The page id.
     */
    private readonly pageId;
    /**
     * The constructor
     *
     * @param accessToken the access token.
     * @param pageId the page id.
     * @param fields the fields to retrieve from the API. If no field is specified, all are retrieved.
     */
    constructor(accessToken: string, pageId: string, ...fields: MediaField[]);
    /**
     * @inheritdoc
     */
    protected url(): string;
    /**
     * @inheritdoc
     */
    protected parseResponse(response: {
        data: MediaData[];
        paging: PagingData;
    }): GetPageMediaResponse;
}
