import { AbstractRequest } from '../../AbstractRequest';
import { CreatedObjectIdResponse } from '../../common/CreatedObjectIdResponse';
import { Method } from '../../RequestConfig';
/**
 * A request that publishes a media object.
 *
 * @author Tiago Grosso <tiagogrosso99@gmail.com>
 * @since 1.1.0
 */
export declare class PostPublishMediaRequest extends AbstractRequest<CreatedObjectIdResponse> {
    /**
     * The page id.
     */
    private readonly pageId;
    /**
     * The constructor.
     *
     * @param accessToken the access token.
     * @param pageId the page id.
     * @param containerId the container id.
     */
    constructor(accessToken: string, pageId: string, containerId: string);
    /**
     * @inheritdoc
     */
    protected parseResponse(response: {
        id: string;
    }): CreatedObjectIdResponse;
    /**
     * @inheritdoc
     */
    protected url(): string;
    /**
     * @inheritdoc
     */
    protected method(): Method;
}
