import { AbstractRequest } from '../../AbstractRequest';
import { ManyIdsResponse } from '../../common/ManyIdsResponse';
import { PagingData } from '../../data/Paging';
/**
 * A request that gets the Recently Searched Hashtags of a user/page.
 *
 * @author Tiago Grosso <tiagogrosso99@gmail.com>
 * @since 1.3.0
 */
export declare class GetPageRecentlySearchedHashtagsRequest extends AbstractRequest<ManyIdsResponse> {
    /**
     * The page id.
     */
    private readonly pageId;
    /**
     * The constructor
     *
     * @param accessToken the access token.
     * @param pageId the page id
     */
    constructor(accessToken: string, pageId: string);
    /**
     * @inheritdoc
     */
    protected parseResponse(response: {
        data: {
            id: string;
        }[];
        paging: PagingData;
    }): ManyIdsResponse;
    /**
     * @inheritdoc
     */
    protected url(): string;
}
