import { MediaField } from '../../../Enums';
import { AbstractGetMediaRequest } from '../../AbstractGetMediaRequest';
import { MediaData } from '../../data/MediaData';
import { GetTagsResponse } from './GetTagsResponse';
/**
 * A request that gets information about the media objects that a page was tagged in.
 *
 * @author Tiago Grosso <tiagogrosso99@gmail.com>
 * @since 1.0.0
 */
export declare class GetTagsRequest extends AbstractGetMediaRequest<GetTagsResponse> {
    /**
     * The page id.
     */
    private readonly pageId;
    /**
     * The constructor
     *
     * @param accessToken the access token.
     * @param pageId the page id.
     * @param fields the fields to retrieve from the API for each media object. If no field is specified, all public fields are retrieved.
     */
    constructor(accessToken: string, pageId: string, ...fields: MediaField[]);
    /**
     * @inheritdoc
     */
    protected url(): string;
    /**
     * @inheritdoc
     */
    protected parseResponse(request: {
        data: MediaData[];
    }): GetTagsResponse;
}
