import { MediaData } from '../../data/MediaData';
import { Cursors, PagingData } from '../../data/Paging';
import { AbstractGetManyMediaResponse } from '../../AbstractGetManyMediaResponse';
/**
 * Class to represent responses to a Get Tags request.
 *
 * @author Tiago Grosso <tiagogrosso99@gmail.com>
 * @since 1.0.0
 */
export declare class GetTagsResponse extends AbstractGetManyMediaResponse {
    /**
     * The cursors of the response.
     */
    private readonly cursors;
    /**
     * The constructor.
     *
     * @param body the body of the response.
     */
    constructor(body: {
        data: MediaData[];
        paging?: PagingData;
    });
    /**
     * Gets the cursors of the response.
     */
    getCursors(): Cursors | undefined;
    /**
     * Gets the after cursor of the response.
     */
    getAfter(): string | undefined;
    /**
     * Gets the before cursor of the response.
     */
    getBefore(): string | undefined;
}
